### Type parameters

### Hierarchy

- ProfileFormatter

## Index

### Properties

- xhover
- xtick
- yhover
- ytick

## Properties

### xhover

xhover: (arg0: number, arg1: string) => string

- Defined in src/profile/elevationComponent.js:43

#### Type declaration

- - (arg0: number, arg1: string): string

  - Format the xhover distance.

    #### Parameters

    - ##### arg0: number

    - ##### arg1: string

    #### Returns string

### xtick

xtick: (arg0: number, arg1: string) => string | number

- Defined in src/profile/elevationComponent.js:45

#### Type declaration

- - (arg0: number, arg1: string): string | number

  - Format the xtick, for graduating the x axis.

    #### Parameters

    - ##### arg0: number

    - ##### arg1: string

    #### Returns string | number

### yhover

yhover: (arg0: number, arg1: string) => string

- Defined in src/profile/elevationComponent.js:44

#### Type declaration

- - (arg0: number, arg1: string): string

  - Format the yhover elevation.

    #### Parameters

    - ##### arg0: number

    - ##### arg1: string

    #### Returns string

### ytick

ytick: (arg0: number, arg1: string) => string | number

- Defined in src/profile/elevationComponent.js:46

#### Type declaration

- - (arg0: number, arg1: string): string | number

  - Format the ytick, for graduating the y axis.

    #### Parameters

    - ##### arg0: number

    - ##### arg1: string

    #### Returns string | number

Generated using TypeDoc